<?php
require_once('../common/common.inc.php');
require_once('../common/db_fns.inc.php');
require_once('../common/misc_fns.inc.php');
require_once('../common/SAException.inc.php');
require_once('../libs/Smarty.class.php');

/**
 * declares administration interface basic class
 *
 */
abstract class Admin {
	protected $post;
	protected $get;
	protected $admin_uid;
	protected $db;
	protected $smarty;
	protected $auth_user;
	protected $auth_user_id;
	protected $strict_mode;

	/*	Uses sessions:
		$_SESSION['logout'] - logout flag
		$_SESSION['feedback_modify'] - saved form data of admin_tab12.tpl template of section modify
		$_SESSION['tmp_attr'] - new extra attributes temporarily added by admin
		$_SESSION['attributes_deleted'] - extra ettributes flag
	*/

	/**
	 * Constructor
	 *
	 * @param string $post  $_POST input
	 * @param string $get  $_GET input
	 * @param string $login  login string
	 * @param string $pass  password
	 * @param boolean $strict_mode  check form data strict or messily
	 */
	public function __construct($post, $get, $login, $pass, $strict_mode) {
		$this->post = $post;
		$this->get = $get;
		$this->strict_mode = $strict_mode;
		$this->db = db_connect();
		$this->auth_user = $login;
		$sql = "SELECT id FROM `submitter` WHERE ctu_login = '$login'";
		$data =& $this->db->getOne($sql);
		if (!$data) die("User $login not found");
		if (PEAR::isError($data)) {
		    die($data->getMessage());
		}
		$this->auth_user_id =& $data;
		if(isset($_SESSION['logout'])) {
			//logout has been called
			unset($_SERVER['PHP_AUTH_USER']);
			unset($_SERVER['PHP_AUTH_PW']);
			unset($_SESSION['logout']);
		}
		$this->smarty = new Smarty();
		$this->smarty->config_dir = '../configs/';
		$this->smarty->template_dir = '../templates/';
		$this->smarty->compile_dir = '../templates_c/';
		//$this->smarty->compile_check = true;
		//$this->smarty->debugging = true;
		$this->authenticate($login, $pass);
		$this->smarty->assign('logged_info', $login);
	}

	/**
	 * Execute admin
	 *
	 */
	abstract public function execute();

	/**
	 * HTTP authentification
	 *
	 * @param string $login
	 * @param string $pass
	 */
	private final function authenticate($login, $pass) {
		if (!isset($_SERVER['PHP_AUTH_USER'])) {
			header("HTTP/1.1 401 Unauthorized");
			header("WWW-Authenticate: Basic realm=\"DAP Authenticator\"");
			$this->smarty->display('err_401.tpl'); //display 401 error page
			exit;
		}
		if($_SERVER['PHP_AUTH_USER'] != $login) {
			Header("HTTP/1.1 401 Unauthorized");
			Header("WWW-Authenticate: Basic realm=\"DAP Authenticator\"");
			$this->smarty->display('err_401.tpl');
			exit;
		}
		if($_SERVER['PHP_AUTH_PW'] != $pass) {
			Header("HTTP/1.1 401 Unauthorized");
			Header("WWW-Authenticate: Basic realm=\"DAP Authenticator\"");
			$this->smarty->display('err_401.tpl');
			exit;
		}
	}
}

?>