<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Databáze publikací - kontrola údajů</title>
	<link rel="stylesheet" type="text/css" href="load.css" />
	{literal}
	<script type="text/javascript">
	//<![CDATA[
	function addInput()
	{
		var ni = document.getElementById('files');
		var numi = document.getElementById('base_inp');
		var newInput = document.createElement('input');
		newInput.setAttribute("type", "file");
		newInput.setAttribute("name", numi.name);
		var newBr = document.createElement('br');
		ni.appendChild(newInput);
		ni.appendChild(newBr);
	}
	//]]>
	</script>
	{/literal}
</head>
<body>
	{include file="load_header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		{if $operation_error neq ""}
			<span class="error">{$operation_error}</span><br/>
		{elseif $operation_success neq ""}
			<span class="success">{$operation_success}</span><br/>
		{/if}
		<strong>Typ publikace:</strong>
						{if $pub_type eq "1"}Kniha
						{elseif $pub_type eq "2"}Časpis
						{elseif $pub_type eq "3"}Konference
						{/if}
		<br />
		<strong>Jazyk:</strong>
				{if $pub_lang eq "1"}Czech
				{elseif $pub_lang eq "2"}English
				{elseif $pub_lang eq "3"}German
				{/if}
		<br />
		<strong>Titulek publikace:</strong> {$pub_title}
		<br />
		<strong>Město:</strong> {$city}
		<br />
		<strong>Země:</strong> {$country}{if $state}, {$state}{/if}
		<br />
		<strong>Autoři:</strong> {$authors}
		<br />
		<strong>Vydavatel:</strong> {$publisher}
		<br />
		{if $pub_type eq "1"} <!-- book -->
			<strong>ISBN:</strong> {$isbn}<br />
			<strong>Datum vydání:</strong> {$issue_date}<br />
			<strong>Počet stran:</strong> {$pp}<br />
		{elseif $pub_type eq "2"} <!-- magazine -->
			<strong>ISSN:</strong> {$issn}<br />
			<strong>Datum vydání:</strong> {$issue_date}<br />
			<strong>vol.:</strong> {$vol}<br />
			<strong>no.:</strong> {$no}<br />
			<strong>Stránky od - do:</strong> {$pp}<br />
		{elseif $pub_type eq "3"} <!-- workshop -->
			{if $isbn neq ""}<strong>ISBN:</strong> {$isbn}{/if}<br />
			<strong>Jméno konference:</strong> {$workshop_name}<br />
			<strong>Datum konání:</strong> {$execution_date}<br />
			<strong>Stránky od - do:</strong> {$pp}<br />
		{/if}
		<strong>Kategorie:</strong>
		<br />
		{if $categories}
			<ul>
			{foreach from=$categories item=current}
				<li>{$current}</li>
			{/foreach}
			</ul>
		{/if}
		{if $tmp_cat}
			<ul>
			{foreach from=$tmp_cat item=current}
				<li>{$current}</li>
			{/foreach}
			</ul>
		{/if}
		<br />
		<strong>Rozšířené atributy:</strong>
		<br />
		<!-- extra attributes -->
		{$attributes}
		<!-- temporarily added attributes -->
		{$tmp_attr}
		<form action="index.php" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
		<br />
		K publikaci můžete přiložit soubory {if $permitted_extensions}({$permitted_extensions}){/if}:<br />
		<div id="files">
			<input id="base_inp" type="file" name="documents[]" onmousedown="addInput();" /><br />
		</div>

		<table id="form_nova_publikace" border="0" cellspacing="20" summary="Zadání nové publikace">
		<tr>
			<td class="left">
				<input type="hidden" name="prev_stage" value="2" />
				<input type="submit" name="previous" value="&lt;&lt; předchozí" />
			</td>
			<td class="right">
				<input type="hidden" name="next_stage" value="4" />
				<input type="submit" name="next" value="dokončit" />
			</td>
		</tr>
		</table>
		</form>
	</div>
	</div>
</body></html>