<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Database of publications - check of inserted data</title>
	<link rel="stylesheet" type="text/css" href="load.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
	{literal}
	<script type="text/javascript">
	//<![CDATA[
	function addInput()
	{
		var ni = document.getElementById('files');
		var numi = document.getElementById('base_inp');
		var newInput = document.createElement('input');
		newInput.setAttribute("type", "file");
		newInput.setAttribute("name", numi.name);
		var newBr = document.createElement('br');
		ni.appendChild(newInput);
		ni.appendChild(newBr);
	}
	//]]>
	</script>
	{/literal}
</head>
<body>
	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		{if $report}
			<div class="report">
				Publication you are inserting has particular defects, which you may ignore
				and save the publication. For the compatibility with BibTeX format
				we recommend go back to the previous form
				and correct these defects: <br /><br />
				<span style="color: #FF8C00">{$report}</span>
			</div>
		{/if}
		{if $operation_error neq ""}
			<span class="error">{$operation_error}</span><br/>
		{elseif $operation_success neq ""}
			<span class="success">{$operation_success}</span><br/>
		{/if}
		<strong>Type of publication:</strong> {$pub_type}
		<br />
		<strong>Title:</strong> {$title}
		<br />
		{if $booktitle}<strong>Booktitle:</strong> {$booktitle}<br />{/if}

		{if $volume}<strong>vol.:</strong> {$volume}<br />{/if}
		{if $number}<strong>no.:</strong> {$number}<br />{/if}
		{if $chapter}<strong>Chapter:</strong> {$chapter}<br />{/if}
		{if $pages}<strong>Pages:</strong> {$pages}<br />{/if}
		{if $series}<strong>Series:</strong> {$series}<br />{/if}
		{if $edition}<strong>Edition:</strong> {$edition}<br />{/if}
		{if $howpublished}<strong>Howpublished:</strong> {$howpublished}<br />{/if}
		{if $type}<strong>Type of report:</strong> {$type}<br />{/if}
		{if $institution}<strong>Institution:</strong> {$institution}<br />{/if}
		{if $school}<strong>School:</strong> {$school}<br />{/if}
		{if $organization}<strong>Organization:</strong> {$organization}<br />{/if}
		{if $issue_date}<strong>Date:</strong> {$issue_date}<br />{/if}
		{if $year}<strong>Year:</strong> {$year}<br />{/if}

		{if $journal_data}
			<strong>Journal:</strong> {$journal_data.journal}<br />
			{if $journal_data.issn}<strong>ISSN:</strong> {$journal_data.issn}<br />{/if}
		{/if}
		{if $conference_data}
			<strong>Conference:</strong> {$conference_data.conference}<br />
			{if $conference_data.year neq '0000'}<strong>Year: </strong>{$conference_data.year}<br />{/if}
			{if $conference_data.location}<strong>Location:</strong> {$conference_data.location}<br />{/if}
			{if $conference_data.isbn}<strong>ISBN:</strong> {$conference_data.isbn}<br />{/if}
		{/if}
		{if $publisher_data}
			<strong>Publisher:</strong> {$publisher_data.publisher}<br />
			{if $publisher_data.address}<strong>Address:</strong> {$publisher_data.address}<br />{/if}
		{/if}
		{if $authors}<strong>Authors:</strong> {$authors}<br />{/if}
		{if $isbn}<strong>ISBN:</strong> {$isbn}<br />{/if}
		{if $issn}<strong>ISSN:</strong> {$issn}<br />{/if}
		{if $note}<strong>Note:</strong> {$note}<br />{/if}
		{if $url}<strong>URL:</strong> {$url}<br />{/if}

		{if $categories or $tmp_cat}
			<strong>Publication will be included in the following categories:</strong>
			{foreach from=$categories item=current}{$current} {/foreach}
			{foreach from=$tmp_cat item=current}{$current} {/foreach}
			<br />
		{/if}

		<br />
		{if $attributes or $tmp_attr}
			<strong>Extending attributes:</strong><br />
			<!-- extra attributes -->
			{$attributes}
			<!-- temporarily added attributes -->
			{$tmp_attr}
		{/if}

		<form action="index.php" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
		<div id="files">
			<br />
			You can add files to the publication {if $permitted_extensions}({$permitted_extensions}){/if}:
			<br />
			<input id="base_inp" type="file" name="documents[]" onmousedown="addInput();" /><br />
		</div>

		<table id="form_nova_publikace" border="0" cellspacing="20" summary="">
		<tr>
			<td class="left">
				<input type="hidden" name="prev_stage" value="2" />
				<input type="submit" name="previous" value="&lt;&lt; previous" />
			</td>
			<td class="right">
				<input type="hidden" name="next_stage" value="4" />
				<input type="submit" name="next" value="finish" />
			</td>
		</tr>
		</table>
		</form>
	</div>
	</div>
</body></html>